Confirm intent (step 2/2)
curl --request POST \
--url https://api.sendpadi.com/api/v1/merchant/crypto/intents/{id}/confirm \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"confirmationToken": "tok_secret_xyz"
}
'const options = {
method: 'POST',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'Idempotency-Key': '<idempotency-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirmationToken: 'tok_secret_xyz'})
};
fetch('https://api.sendpadi.com/api/v1/merchant/crypto/intents/{id}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendpadi.com/api/v1/merchant/crypto/intents/{id}/confirm"
payload = { "confirmationToken": "tok_secret_xyz" }
headers = {
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"Idempotency-Key": "<idempotency-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "OK",
"data": {
"intentId": "intent_abc",
"operation": "buy",
"transactionId": "crypto_txn_001",
"swapId": "swap_001"
}
}Crypto
Confirm intent (step 2/2)
Confirm a pending crypto intent. Scope: crypto:write. Requires Idempotency-Key.
POST
/
api
/
v1
/
merchant
/
crypto
/
intents
/
{id}
/
confirm
Confirm intent (step 2/2)
curl --request POST \
--url https://api.sendpadi.com/api/v1/merchant/crypto/intents/{id}/confirm \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"confirmationToken": "tok_secret_xyz"
}
'const options = {
method: 'POST',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'Idempotency-Key': '<idempotency-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirmationToken: 'tok_secret_xyz'})
};
fetch('https://api.sendpadi.com/api/v1/merchant/crypto/intents/{id}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendpadi.com/api/v1/merchant/crypto/intents/{id}/confirm"
payload = { "confirmationToken": "tok_secret_xyz" }
headers = {
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"Idempotency-Key": "<idempotency-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "OK",
"data": {
"intentId": "intent_abc",
"operation": "buy",
"transactionId": "crypto_txn_001",
"swapId": "swap_001"
}
}This product may be disabled on your deployment. Contact support@sendpadi.com if calls return unavailable.
Live API key required for this endpoint.
Authorizations
API key id (sp_test_… / sp_live_…)
Headers
Unix time in seconds
HMAC-SHA256 signature
UUID. Required on money-moving writes.
Path Parameters
id path parameter
Body
application/json
Response
200 - application/json
OK
The response is of type object.

